# compiler: gfortran or f90
CC = gfortran

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),SunOS)
    CC = f90
endif

# compiler flags:
# -g	add debugging information to the executable file
CFLAGS = -g

SRCS = globfwd23.f90 globlev23.f90 globlin23.f90 globsdg23.f90 globsol23.f90 prffwd_v23.f90 prof96_m.f90

default: proffi96

proffi96: $(SRCS) proffi96.f90
	$(CC) $(CFLAGS) -o proffi96 $(SRCS) proffi96.f90
	@echo proffi96 build finished

runfwd_v23: $(SRCS) runfwd_v23.F90
	$(CC) $(CFLAGS) -o runfwd_v23 $(SRCS) runfwd_v23.F90
	@echo runfwd_v23 build finished

clean:
	$(RM) proffi96
	$(RM) runfwd_v23
